/*
 Theme Name:   Libra Industries
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Steven LaSala
 Author URI:   https://www.curiouspanda.com/
 Template:     generatepress
 Version:      0.1
*/

@import "styling.css";



.Primary {color:#384D59;}
.Secondary{color: #2869A5;}
.Accent{color:#D8E022;}
.knockout {color: white!important;}

.overpicture{width: 100%;} 
.yellowbg {background: #D8E022;}


.libraro { transition: all .2s ease-in-out;color: white; }
.libraro:hover { transform: scale(1.1); color: black; }
.list-la { list-style-type: lower-alpha; }

/* Spacing */
.mb-0 {margin-bottom: 0;}
.mb-1 {margin-bottom: 0.25em;}
.mb-2 {margin-bottom: 0.5em;}
.mb-3 {margin-bottom: 1em;}

/* Sections */
.section-primary {background-color:var(--e-global-color-bf3bb3c);color:#ffffff;}
.section-primary .elementor-heading-title,
.section-primary .elementor-widget-text-editor { color:inherit!important; }

/* Elementor Column Stretched Link */
.elementor-column.stretched-link .elementor-widget-wrap {position:relative;z-index:0;background-color:var( --e-global-color-bf3bb3c);}
.elementor-column.stretched-link .elementor-widget-wrap a {position:static!important;}
.elementor-column.stretched-link .elementor-widget-wrap * {position:static!important;z-index: auto !important;}
.elementor-column.stretched-link .elementor-widget-wrap .elementor-widget {margin:0!important;}
.elementor-column.stretched-link .elementor-widget-wrap img {position:absolute!important;z-index: -1!important;inset: 0;width:100%;height:100%;object-fit:cover;opacity:1;transition: opacity .3s ease;}
.elementor-column.stretched-link:hover .elementor-widget-wrap img {opacity:0.5}
.elementor-column.stretched-link .elementor-widget-wrap a::after {content:"";position:absolute;inset:0;z-index:10;background: transparent;pointer-events: auto;display: block;-webkit-backface-visibility:hidden;backface-visibility: hidden;transform:translateZ(0);}

/* Elementor Hero Page Title Pattern */
.hero-page-title{background-color:#000000;}
.hero-page-title > .elementor-container{background-image: url("/wp-content/uploads/2026/03/libra-title-pattern.png");background-position: left;background-repeat: no-repeat;background-size: contain;}